X
Kliknite sem pre prechod na mobilnú verziu webu.

Fórum podpory

No Java plugin

Pridané

I got a notice of a Java update. Installed it. The verification did not work. In add-ons> plugins IS NO JAVA AT ALL! It's no place else either. I have 43.0.4.???

I got a notice of a Java update. Installed it. The verification did not work. In add-ons> plugins IS NO JAVA AT ALL! It's no place else either. I have 43.0.4.???

Vybrané riešenie

Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0

You have the 64-bit version of Firefox, where only Silverlight and Flash Plugins are 'whitelisted'. If you need Java you need to install the 32-bit version of Firefox. You can have both the 64-bit and 32-bit versions installed, but you'll need to do a "custom" installation (on the first screen of the installer routine) and select or create a uniquely named folder - like maybe Firefox 32, otherwise the 32-bit installer may overwrite your 64-bit Firefox installation.

Čítať túto odpoveď v kontexte 10

Ďalšie informácie o systéme

Nainštalované zásuvné moduly

  • 5.1.41212.0

Aplikácie

  • Firefox 43.0.4
  • Identifikácia prehliadača: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0
  • URL adresa podpory: https://support.mozilla.org/1/firefox/43.0.4/WINNT/en-US/

Rozšírenia

  • Classic Theme Restorer 1.4.6.1 (ClassicThemeRestorer@ArisT2Noia4dev)
  • ColorfulTabs 29.9 ({0545b830-f0aa-4d7e-8820-50a4629a56fe})
  • FEBE 8.8.1 ({4BBDD651-70CF-4821-84F8-2B918CF89CA3})
  • FireShot 0.98.84 ({0b457cAA-602d-484a-8fe7-c1d894a011ba})
  • Greasemonkey 3.6 ({e4a8a97b-f2ed-450b-b12d-ee082ba24781})
  • IE Tab 2 (FF 3.6+) 5.12.12.1.1-signed ({1BC9BA34-1EED-42ca-A505-6D2F1A935BBB})
  • PDF Download 3.0.0.2.1-signed ({37E4D8EA-8BDA-4831-8EA1-89053939A250})
  • QuickJava 2.0.6.1-signed ({E6C1199F-E687-42da-8C24-E7770CC3AE66})
  • Torrent Finder Toolbar 1.3.1.1-signed (TFToolbarX@torrent-finder)
  • TrackMeNot 0.9.1 (trackmenot@mrl.nyu.edu)
  • TrashMail.com 2.7.1.1-signed (spam@trashmail.net)
  • Video DownloadHelper 5.4.2 ({b9db16a4-6edc-47ec-a1f4-b86292ed211d})
  • Ghostery 5.4.10 (firefox@ghostery.com) (Neaktívny)
  • NoScript 2.9.0.2 ({73a6fe31-595d-460b-a920-fcc0f8843232}) (Neaktívny)
  • Personas Plus 1.7.3.1-signed.1-let-fixed (personas@christopher.beard) (Neaktívny)

JavaScript

  • incrementalGCEnabled: True

Grafika

  • adapterDescription: Intel(R) HD Graphics 5500
  • adapterDescription2:
  • adapterDeviceID: 0x1616
  • adapterDeviceID2:
  • adapterDrivers: igdumdim64 igd10iumd64 igd10iumd64 igdumdim32 igd10iumd32 igd10iumd32
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterSubsysID: 390217aa
  • adapterSubsysID2:
  • adapterVendorID: 0x8086
  • adapterVendorID2:
  • clearTypeParameters: Gamma: 1800 Pixel Structure: B ClearType Level: 100 Enhanced Contrast: 400
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 6.2.9200.17568
  • driverDate: 8-4-2015
  • driverDate2:
  • driverVersion: 10.18.14.4264
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d 1.1', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d 1.1', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • supportsHardwareH264: Yes
  • webglRenderer: Google Inc. -- ANGLE (Intel(R) HD Graphics 5500 Direct3D11 vs_5_0 ps_5_0)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Direct3D 11

Upravené nastavenia

Ostatné

  • User JS: Nie
  • Prístupnosť: Nie
Wesley Branton
  • Top 10 Contributor
590 riešení 4999 odpovedí

Please ensure that you have downloaded Java from the official website. Also please ensure that you close Firefox completely when installing Java, as it may not install correctly if Firefox remains open.


If the above does not help, please try refreshing Firefox's plugin list. To do so, please follow these steps:

  1. Close Firefox
  2. Open your profile folder in Windows explorer
  3. Rename the pluginreg.dat file to pluginreg.dat.old
  4. Open Firefox

This should rebuild your Firefox file that detects what plugins you have installed. You may need to try reinstalling Java if it still does not display.

For more information about your Firefox profile and how to locate it, please refer to this Mozilla support article:

Please ensure that you have downloaded Java from the [https://www.java.com/en/download/ official website]. Also please ensure that you close Firefox completely when installing Java, as it may not install correctly if Firefox remains open. ---- If the above does not help, please try refreshing Firefox's plugin list. To do so, please follow these steps: #Close Firefox #Open your profile folder in Windows explorer #Rename the <code>pluginreg.dat</code> file to <code>pluginreg.dat.old</code> #Open Firefox This should rebuild your Firefox file that detects what plugins you have installed. You may need to try reinstalling Java if it still does not display. For more information about your Firefox profile and how to locate it, please refer to this Mozilla support article: *[[Profiles - Where Firefox stores your bookmarks, passwords and other user data]]
the-edmeister
  • Top 25 Contributor
  • Moderator
5397 riešení 40140 odpovedí

Vybrané riešenie

Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0

You have the 64-bit version of Firefox, where only Silverlight and Flash Plugins are 'whitelisted'. If you need Java you need to install the 32-bit version of Firefox. You can have both the 64-bit and 32-bit versions installed, but you'll need to do a "custom" installation (on the first screen of the installer routine) and select or create a uniquely named folder - like maybe Firefox 32, otherwise the 32-bit installer may overwrite your 64-bit Firefox installation.

Mozilla/5.0 (Windows NT 6.1; '''Win64; x64;''' rv:43.0) Gecko/20100101 Firefox/43.0 You have the 64-bit version of Firefox, where only Silverlight and Flash Plugins are 'whitelisted'. If you need Java you need to install the 32-bit version of Firefox. You can have both the 64-bit and 32-bit versions installed, but you'll need to do a "custom" installation (on the first screen of the installer routine) and select or create a uniquely named folder - like maybe '''Firefox 32''', otherwise the 32-bit installer may overwrite your 64-bit Firefox installation.
Ralf G. R. Bergs 0 riešení 1 odpovedí

the-edmeister said

You have the 64-bit version of Firefox, where only Silverlight and Flash Plugins are 'whitelisted'. If you need Java you need to install the 32-bit version of Firefox.

What does that mean? That it is impossible to have Java in the 64-bit version of Firefox?

When you talk about "whitelisted" this implies one could also whitelist more plugins, such as the Java plugin.

Please elaborate.

''the-edmeister [[#answer-833489|said]]'' <blockquote> You have the 64-bit version of Firefox, where only Silverlight and Flash Plugins are 'whitelisted'. If you need Java you need to install the 32-bit version of Firefox. </blockquote> What does that mean? That it is impossible to have Java in the 64-bit version of Firefox? When you talk about "whitelisted" this implies one could also whitelist more plugins, such as the Java plugin. Please elaborate.
the-edmeister
  • Top 25 Contributor
  • Moderator
5397 riešení 40140 odpovedí

Yes, it is impossible to have any other plugins in the WIn64 version of Firefox. Only Flash and Siverlight are allowed, and no there will not be anymore plugins allowed in the Win64 bit version of Firefox. I agree that 'whitelisted' isn't an appropriate term, but that's what Mozilla decided to call it.

https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/ All support for NPAPI plugins will be gone from Firefox by the end of 2016, or in early 2017 (my opinion that "schedules" always 'slide' beyond what is originally projected).

Yes, it is impossible to have any other plugins in the WIn64 version of Firefox. Only Flash and Siverlight are allowed, and no there will not be anymore plugins allowed in the Win64 bit version of Firefox. I agree that 'whitelisted' isn't an appropriate term, but that's what Mozilla decided to call it. https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/ All support for NPAPI plugins will be gone from Firefox by the end of 2016, or in early 2017 ''(my opinion that "schedules" always 'slide' beyond what is originally projected)''.
newage2012 0 riešení 4 odpovedí

Užitočné odpovede

Hello! I have the same problem - Java stooped working in Firefox. I deleted the pluginreg.dat - it did not work Uninstalled the 64 bit Java, installed 32 bit - the same thing, still does not work. Any idea?

Hello! I have the same problem - Java stooped working in Firefox. I deleted the pluginreg.dat - it did not work Uninstalled the 64 bit Java, installed 32 bit - the same thing, still does not work. Any idea?
the-edmeister
  • Top 25 Contributor
  • Moderator
5397 riešení 40140 odpovedí

newage2012.

Please start your own support thread here while using Firefox - https://support.mozilla.org/en-US/questions/new

Provide the requested information.

newage2012. Please start your own support thread here while using Firefox - https://support.mozilla.org/en-US/questions/new Provide the requested information.
cor-el
  • Top 10 Contributor
  • Moderator
17470 riešení 157874 odpovedí

Užitočné odpovede

You need to use the 32 bit Firefox version if you need to use plugins other than the Shockwave Flash and Silverlight plugins and this includes the Java plugin that requires 32 bit Firefox and 32 bit Java.

You can find the full 32 bit version of the current Firefox release (47.0.1) in all languages and all operating systems here:

You need to use the 32 bit Firefox version if you need to use plugins other than the Shockwave Flash and Silverlight plugins and this includes the Java plugin that requires 32 bit Firefox and 32 bit Java. You can find the full 32 bit version of the current Firefox release (47.0.1) in all languages and all operating systems here: *https://www.mozilla.org/en-US/firefox/all/